.\" Copyright (c) 1997
.\"	Mike Pritchard <mpp@FreeBSD.ORG>.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the author nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY MIKE PRITCHARD AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd January 9, 1997
.Dt MIXER 8
.Os
.Sh NAME
.Nm mixer
.Nd set/display soundcard mixer values
.Sh SYNOPSIS
.Nm
.Op Fl f Ar device
.Oo
.Oo Ns
.Ar dev Op Ar lvol Ns Op Ar :rvol
.Li | recsrc |
.Ar {^|+|-|=}rec rdev
.Oc
.Ar ... \&
.Oc
.Sh DESCRIPTION
The
.Nm
command is used to set and display soundcard mixer device levels. It may
also be used to start and stop recording from the soundcard.  The list
of mixer devices that may be modified are:  
.Pp
.Bd -ragged -offset indent
vol, bass, treble, synth, pcm, speaker, mic, cd, mix, 
pcm2, rec, igain, ogain, line1, line2, and line3.
.Ed
.Pp
Not all mixer devices are available.
.Pp
When
.Nm
is run without any arguments, all supported devices are displayed
along with current values.
If the
.Ar dev
argument is specified, the value for the
.Ar dev
device will be displayed.
.Pp
To modify the mixer value
.Ar dev ,
the optional left and right channel settings of
.Ar lvol Ns Op Ar :rvol
may be specified.  The
.Ar lvol
and 
.Ar rvol
arguments may be from 0 - 100.
.Pp
To change the recording device you use one of:
.Bl -tag -width =rec -offset indent
.It ^rec
toggles
.Ar rdev
of possible recording devices
.It +rec
adds
.Ar rdev
to possible recording devices
.It -rec
removes
.Ar rdev
from possible recording devices
.It =rec
sets the recording device to
.Ar rdev
.El
.Pp
The above commands work on an internal mask.  After all the options
have been parsed, it will set then read the mask from the sound card.
This will let you see EXACTLY what the soundcard is using for the
recording device(s).
.Pp
The option recsrc will display the current recording devices.
.Pp
The option
.Fl f
.Ar device
will open
.Ar device
as the mixer device.
This will ONLY work if the
.Fl f
option is immediately after the
.Nm
command.
.Sh FILES
.Bl -tag -width /dev/mixer -compact
.It Pa /dev/mixer
The default mixer device.
.Sh SEE ALSO
.Xr cdcontrol 1 ,
.Xr cdplay 1
.Sh HISTORY
The
.Nm
command first appeared in
.Fx 2.0.5 .
.Sh AUTHORS
Original source by
.An Craig Metz Aq cmetz@thor.tjhsst.edu
and
.An Hannu Savolainen .
Mostly rewriten by
.An John-Mark Gurney Aq jmg@FreeBSD.org .
This
manual page was written by
.An Mike Pritchard Aq mpp@FreeBSD.org .
